%define upstream_name    HTML-Spelling-Site
%define upstream_version 0.10.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Handles the whitelist file
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Parser) >= 3.0.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late) >= 0.10.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Tiny) >= 0.144.0
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Hunspell)
BuildRequires: perl(autodie)
BuildRequires: perl(locale)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
HTML::Spelling::Site was created in order to consolidate and extract the
duplicate functionality for spell checking my web-sites. Currently
documentation is somewhat lacking and the modules could use some extra
automated tests, but I'm anxious to get something out the door.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.10.3-2.mga10
+ Revision: 2218632
- Mageia 10 Mass Rebuild

* Wed Aug 30 2023 tv <tv> 0.10.3-1.mga10
+ Revision: 1981090
- update to 0.10.3

* Wed Mar 23 2022 umeabot <umeabot> 0.10.0-2.mga9
+ Revision: 1821724
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 tv <tv> 0.10.0-1.mga9
+ Revision: 1789725
- update to 0.10.0

* Tue Nov 02 2021 tv <tv> 0.8.0-1.mga9
+ Revision: 1753682
- update to 0.8.0

* Wed Jul 01 2020 tv <tv> 0.6.0-1.mga8
+ Revision: 1600896
- update to 0.6.0

* Fri Feb 21 2020 umeabot <umeabot> 0.4.3-2.mga8
+ Revision: 1547846
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.4.3-1.mga8
+ Revision: 1488485
- update to 0.4.3

* Wed Jan 29 2020 tv <tv> 0.4.2-1.mga8
+ Revision: 1484959
- update to 0.4.2

* Sat Nov 30 2019 tv <tv> 0.4.1-1.mga8
+ Revision: 1463819
- update to 0.4.1

* Wed Jun 05 2019 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1399588
- New version 0.4.0

* Tue Oct 30 2018 tv <tv> 0.2.0-2.mga7
+ Revision: 1326670
- update to 0.2.0

* Wed Sep 19 2018 umeabot <umeabot> 0.0.5-2.mga7
+ Revision: 1268497
- Mageia 7 Mass Rebuild

* Thu May 11 2017 shlomif <shlomif> 0.0.5-1.mga6
+ Revision: 1100333
- minor cleanups
- Importing from cpan2dist


* Thu May 11 2017 cpan2dist 0.0.5-1mga
- initial mageia release, generated with cpan2dist
